Package org.eclipse.pde.core.plugin

## Interface IPluginAttribute

All Superinterfaces:
  `IAdaptable`, `IPluginObject`, `IWritable`

    public interface IPluginAttribute
    extends IPluginObject

An attribute of XML elements found in the plug-in.

Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Field Summary

Fields
`static String` `P_VALUE` This property will be used to notify that the value of the attribute has changed.

### Fields inherited from interface org.eclipse.pde.core.plugin.IPluginObject

`P_NAME`

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `getValue()` Returns the value of this attribute.
`void` `setValue​(String value)` Sets the value of this attribute.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.pde.core.plugin.IPluginObject

`getModel, getName, getParent, getPluginBase, getPluginModel, getResourceString, getTranslatedName, isInTheModel, isValid, setInTheModel, setName`

### Methods inherited from interface org.eclipse.pde.core.IWritable

`write`

### Field Detail

#### P_VALUE

    static final String P_VALUE

This property will be used to notify that the value of the attribute has changed.

See Also:
  Constant Field Values

### Method Detail

#### getValue

    String getValue()

Returns the value of this attribute.

Returns:
  the string value of the attribute

#### setValue

    void setValue​(String value)
           throws CoreException

Sets the value of this attribute. This method will throw a CoreExeption if the model is not editable.

Parameters:
  `value` - the new attribute value
Throws:
  `CoreException` - if the model is not editable